MgmtServiceResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class MgmtServiceResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.MgmtServiceResourceApi

-     public class MgmtServiceResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MgmtServiceResourceApi()`
    `MgmtServiceResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `autoAssignRoles()` Automatically assign roles to hosts and create the roles for the Cloudera Management Service.
    `com.squareup.okhttp.Call` | `autoAssignRolesAsync(ApiCallback<Void> callback)` Automatically assign roles to hosts and create the roles for the Cloudera Management Service.
    `com.squareup.okhttp.Call` | `autoAssignRolesCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for autoAssignRoles
    `ApiResponse<Void>` | `autoAssignRolesWithHttpInfo()` Automatically assign roles to hosts and create the roles for the Cloudera Management Service.
    `void` | `autoConfigure()` Automatically configures roles of the Cloudera Management Service.
    `com.squareup.okhttp.Call` | `autoConfigureAsync(ApiCallback<Void> callback)` Automatically configures roles of the Cloudera Management Service.
    `com.squareup.okhttp.Call` | `autoConfigureCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for autoConfigure
    `ApiResponse<Void>` | `autoConfigureWithHttpInfo()` Automatically configures roles of the Cloudera Management Service.
    `ApiService` | `deleteCMS()` Delete the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `deleteCMSAsync(ApiCallback<ApiService> callback)` Delete the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `deleteCMSCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteCMS
    `ApiResponse<ApiService>` | `deleteCMSWithHttpInfo()` Delete the Cloudera Management Services.
    `ApiCommand` | `enterMaintenanceMode()` Put Cloudera Management Service into maintenance mode.
    `com.squareup.okhttp.Call` | `enterMaintenanceModeAsync(ApiCallback<ApiCommand> callback)` Put Cloudera Management Service into maintenance mode.
    `com.squareup.okhttp.Call` | `enterMaintenanceModeCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for enterMaintenanceMode
    `ApiResponse<ApiCommand>` | `enterMaintenanceModeWithHttpInfo()` Put Cloudera Management Service into maintenance mode.
    `ApiCommand` | `exitMaintenanceMode()` Take Cloudera Management Service out of maintenance mode.
    `com.squareup.okhttp.Call` | `exitMaintenanceModeAsync(ApiCallback<ApiCommand> callback)` Take Cloudera Management Service out of maintenance mode.
    `com.squareup.okhttp.Call` | `exitMaintenanceModeCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for exitMaintenanceMode
    `ApiResponse<ApiCommand>` | `exitMaintenanceModeWithHttpInfo()` Take Cloudera Management Service out of maintenance mode.
    `ApiClient` | `getApiClient()`
    `ApiCommandList` | `listActiveCommands(String view)` List active Cloudera Management Services commands.
    `com.squareup.okhttp.Call` | `listActiveCommandsAsync(String view, ApiCallback<ApiCommandList> callback)` List active Cloudera Management Services commands.
    `com.squareup.okhttp.Call` | `listActiveCommandsCall(String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for listActiveCommands
    `ApiResponse<ApiCommandList>` | `listActiveCommandsWithHttpInfo(String view)` List active Cloudera Management Services commands.
    `ApiRoleTypeList` | `listRoleTypes()` List the supported role types for the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `listRoleTypesAsync(ApiCallback<ApiRoleTypeList> callback)` List the supported role types for the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `listRoleTypesCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for listRoleTypes
    `ApiResponse<ApiRoleTypeList>` | `listRoleTypesWithHttpInfo()` List the supported role types for the Cloudera Management Services.
    `ApiService` | `readService(String view)` Retrieve information about the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `readServiceAsync(String view, ApiCallback<ApiService> callback)` Retrieve information about the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `readServiceCall(String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readService
    `ApiServiceConfig` | `readServiceConfig(String view)` Retrieve the configuration of the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `readServiceConfigAsync(String view, ApiCallback<ApiServiceConfig> callback)` Retrieve the configuration of the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `readServiceConfigCall(String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readServiceConfig
    `ApiResponse<ApiServiceConfig>` | `readServiceConfigWithHttpInfo(String view)` Retrieve the configuration of the Cloudera Management Services.
    `ApiResponse<ApiService>` | `readServiceWithHttpInfo(String view)` Retrieve information about the Cloudera Management Services.
    `ApiCommand` | `restartCommand()` Restart the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `restartCommandAsync(ApiCallback<ApiCommand> callback)` Restart the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `restartCommandCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for restartCommand
    `ApiResponse<ApiCommand>` | `restartCommandWithHttpInfo()` Restart the Cloudera Management Services.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiService` | `setupCMS(ApiService body)` Setup the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `setupCMSAsync(ApiService body, ApiCallback<ApiService> callback)` Setup the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `setupCMSCall(ApiService body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for setupCMS
    `ApiResponse<ApiService>` | `setupCMSWithHttpInfo(ApiService body)` Setup the Cloudera Management Services.
    `ApiCommand` | `startCommand()` Start the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `startCommandAsync(ApiCallback<ApiCommand> callback)` Start the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `startCommandCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for startCommand
    `ApiResponse<ApiCommand>` | `startCommandWithHttpInfo()` Start the Cloudera Management Services.
    `ApiCommand` | `stopCommand()` Stop the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `stopCommandAsync(ApiCallback<ApiCommand> callback)` Stop the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `stopCommandCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for stopCommand
    `ApiResponse<ApiCommand>` | `stopCommandWithHttpInfo()` Stop the Cloudera Management Services.
    `ApiServiceConfig` | `updateServiceConfig(String message, ApiServiceConfig body)` Update the Cloudera Management Services configuration.
    `com.squareup.okhttp.Call` | `updateServiceConfigAsync(String message, ApiServiceConfig body, ApiCallback<ApiServiceConfig> callback)` Update the Cloudera Management Services configuration.
    `com.squareup.okhttp.Call` | `updateServiceConfigCall(String message, ApiServiceConfig body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateServiceConfig
    `ApiResponse<ApiServiceConfig>` | `updateServiceConfigWithHttpInfo(String message, ApiServiceConfig body)` Update the Cloudera Management Services configuration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MgmtServiceResourceApi

          public MgmtServiceResourceApi()

    - #### MgmtServiceResourceApi

          public MgmtServiceResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### autoAssignRolesCall

          public com.squareup.okhttp.Call autoAssignRolesCall(ProgressResponseBody.ProgressListener progressListener,
                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                       throws ApiException

      Build call for autoAssignRoles
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### autoAssignRoles

          public void autoAssignRoles()
                               throws ApiException

      Automatically assign roles to hosts and create the roles for the Cloudera Management Service. Automatically assign roles to hosts and create the roles for the Cloudera Management Service. <p> Assignments are done based on number of hosts in the deployment and hardware specifications. If no hosts are part of the deployment, an exception will be thrown preventing any role assignments. Existing roles will be taken into account and their assignments will be not be modified. The deployment should not have any clusters when calling this endpoint. If it does, an exception will be thrown preventing any role assignments. <p> Available since API v6.
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### autoAssignRolesWithHttpInfo

          public ApiResponse<Void> autoAssignRolesWithHttpInfo()
                                                        throws ApiException

      Automatically assign roles to hosts and create the roles for the Cloudera Management Service. Automatically assign roles to hosts and create the roles for the Cloudera Management Service. <p> Assignments are done based on number of hosts in the deployment and hardware specifications. If no hosts are part of the deployment, an exception will be thrown preventing any role assignments. Existing roles will be taken into account and their assignments will be not be modified. The deployment should not have any clusters when calling this endpoint. If it does, an exception will be thrown preventing any role assignments. <p> Available since API v6.
      Returns:
        ApiResponse<Void>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### autoAssignRolesAsync

          public com.squareup.okhttp.Call autoAssignRolesAsync(ApiCallback<Void> callback)
                                                        throws ApiException

      Automatically assign roles to hosts and create the roles for the Cloudera Management Service. (asynchronously) Automatically assign roles to hosts and create the roles for the Cloudera Management Service. <p> Assignments are done based on number of hosts in the deployment and hardware specifications. If no hosts are part of the deployment, an exception will be thrown preventing any role assignments. Existing roles will be taken into account and their assignments will be not be modified. The deployment should not have any clusters when calling this endpoint. If it does, an exception will be thrown preventing any role assignments. <p> Available since API v6.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### autoConfigureCall

          public com.squareup.okhttp.Call autoConfigureCall(ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for autoConfigure
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### autoConfigure

          public void autoConfigure()
                             throws ApiException

      Automatically configures roles of the Cloudera Management Service. Automatically configures roles of the Cloudera Management Service. <p> Overwrites some existing configurations. Only default role config groups must exist before calling this endpoint. Other role config groups must not exist. If they do, an exception will be thrown preventing any configuration. Ignores any clusters (and their services and roles) colocated with the Cloudera Management Service. To avoid over-committing the heap on hosts, place the Cloudera Management Service roles on machines not used by any of the clusters. <p> Available since API v6.
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### autoConfigureWithHttpInfo

          public ApiResponse<Void> autoConfigureWithHttpInfo()
                                                      throws ApiException

      Automatically configures roles of the Cloudera Management Service. Automatically configures roles of the Cloudera Management Service. <p> Overwrites some existing configurations. Only default role config groups must exist before calling this endpoint. Other role config groups must not exist. If they do, an exception will be thrown preventing any configuration. Ignores any clusters (and their services and roles) colocated with the Cloudera Management Service. To avoid over-committing the heap on hosts, place the Cloudera Management Service roles on machines not used by any of the clusters. <p> Available since API v6.
      Returns:
        ApiResponse<Void>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### autoConfigureAsync

          public com.squareup.okhttp.Call autoConfigureAsync(ApiCallback<Void> callback)
                                                      throws ApiException

      Automatically configures roles of the Cloudera Management Service. (asynchronously) Automatically configures roles of the Cloudera Management Service. <p> Overwrites some existing configurations. Only default role config groups must exist before calling this endpoint. Other role config groups must not exist. If they do, an exception will be thrown preventing any configuration. Ignores any clusters (and their services and roles) colocated with the Cloudera Management Service. To avoid over-committing the heap on hosts, place the Cloudera Management Service roles on machines not used by any of the clusters. <p> Available since API v6.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteCMSCall

          public com.squareup.okhttp.Call deleteCMSCall(ProgressResponseBody.ProgressListener progressListener,
                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                 throws ApiException

      Build call for deleteCMS
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteCMS

          public ApiService deleteCMS()
                               throws ApiException

      Delete the Cloudera Management Services. Delete the Cloudera Management Services. <p> This method will fail if a CMS instance doesn't already exist.
      Returns:
        ApiService
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteCMSWithHttpInfo

          public ApiResponse<ApiService> deleteCMSWithHttpInfo()
                                                        throws ApiException

      Delete the Cloudera Management Services. Delete the Cloudera Management Services. <p> This method will fail if a CMS instance doesn't already exist.
      Returns:
        ApiResponse<ApiService>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteCMSAsync

          public com.squareup.okhttp.Call deleteCMSAsync(ApiCallback<ApiService> callback)
                                                  throws ApiException

      Delete the Cloudera Management Services. (asynchronously) Delete the Cloudera Management Services. <p> This method will fail if a CMS instance doesn't already exist.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### enterMaintenanceModeCall

          public com.squareup.okhttp.Call enterMaintenanceModeCall(ProgressResponseBody.ProgressListener progressListener,
                                                                   ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                            throws ApiException

      Build call for enterMaintenanceMode
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### enterMaintenanceMode

          public ApiCommand enterMaintenanceMode()
                                          throws ApiException

      Put Cloudera Management Service into maintenance mode. Put Cloudera Management Service into maintenance mode. This is a synchronous command. The result is known immediately upon return. <p>Available since API v18.</p>
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### enterMaintenanceModeWithHttpInfo

          public ApiResponse<ApiCommand> enterMaintenanceModeWithHttpInfo()
                                                                   throws ApiException

      Put Cloudera Management Service into maintenance mode. Put Cloudera Management Service into maintenance mode. This is a synchronous command. The result is known immediately upon return. <p>Available since API v18.</p>
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### enterMaintenanceModeAsync

          public com.squareup.okhttp.Call enterMaintenanceModeAsync(ApiCallback<ApiCommand> callback)
                                                             throws ApiException

      Put Cloudera Management Service into maintenance mode. (asynchronously) Put Cloudera Management Service into maintenance mode. This is a synchronous command. The result is known immediately upon return. <p>Available since API v18.</p>
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### exitMaintenanceModeCall

          public com.squareup.okhttp.Call exitMaintenanceModeCall(ProgressResponseBody.ProgressListener progressListener,
                                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                           throws ApiException

      Build call for exitMaintenanceMode
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### exitMaintenanceMode

          public ApiCommand exitMaintenanceMode()
                                         throws ApiException

      Take Cloudera Management Service out of maintenance mode. Take Cloudera Management Service out of maintenance mode. This is a synchronous command. The result is known immediately upon return. <p>Available since API v18.</p>
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### exitMaintenanceModeWithHttpInfo

          public ApiResponse<ApiCommand> exitMaintenanceModeWithHttpInfo()
                                                                  throws ApiException

      Take Cloudera Management Service out of maintenance mode. Take Cloudera Management Service out of maintenance mode. This is a synchronous command. The result is known immediately upon return. <p>Available since API v18.</p>
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### exitMaintenanceModeAsync

          public com.squareup.okhttp.Call exitMaintenanceModeAsync(ApiCallback<ApiCommand> callback)
                                                            throws ApiException

      Take Cloudera Management Service out of maintenance mode. (asynchronously) Take Cloudera Management Service out of maintenance mode. This is a synchronous command. The result is known immediately upon return. <p>Available since API v18.</p>
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### listActiveCommandsCall

          public com.squareup.okhttp.Call listActiveCommandsCall(String view,
                                                                 ProgressResponseBody.ProgressListener progressListener,
                                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                          throws ApiException

      Build call for listActiveCommands
      Parameters:
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### listActiveCommands

          public ApiCommandList listActiveCommands(String view)
                                            throws ApiException

      List active Cloudera Management Services commands. List active Cloudera Management Services commands.
      Parameters:
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listActiveCommandsWithHttpInfo

          public ApiResponse<ApiCommandList> listActiveCommandsWithHttpInfo(String view)
                                                                     throws ApiException

      List active Cloudera Management Services commands. List active Cloudera Management Services commands.
      Parameters:
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listActiveCommandsAsync

          public com.squareup.okhttp.Call listActiveCommandsAsync(String view,
                                                                  ApiCallback<ApiCommandList> callback)
                                                           throws ApiException

      List active Cloudera Management Services commands. (asynchronously) List active Cloudera Management Services commands.
      Parameters:
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### listRoleTypesCall

          public com.squareup.okhttp.Call listRoleTypesCall(ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for listRoleTypes
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### listRoleTypes

          public ApiRoleTypeList listRoleTypes()
                                        throws ApiException

      List the supported role types for the Cloudera Management Services. List the supported role types for the Cloudera Management Services.
      Returns:
        ApiRoleTypeList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listRoleTypesWithHttpInfo

          public ApiResponse<ApiRoleTypeList> listRoleTypesWithHttpInfo()
                                                                 throws ApiException

      List the supported role types for the Cloudera Management Services. List the supported role types for the Cloudera Management Services.
      Returns:
        ApiResponse<ApiRoleTypeList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listRoleTypesAsync

          public com.squareup.okhttp.Call listRoleTypesAsync(ApiCallback<ApiRoleTypeList> callback)
                                                      throws ApiException

      List the supported role types for the Cloudera Management Services. (asynchronously) List the supported role types for the Cloudera Management Services.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readServiceCall

          public com.squareup.okhttp.Call readServiceCall(String view,
                                                          ProgressResponseBody.ProgressListener progressListener,
                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                   throws ApiException

      Build call for readService
      Parameters:
        `view` - (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readService

          public ApiService readService(String view)
                                 throws ApiException

      Retrieve information about the Cloudera Management Services. Retrieve information about the Cloudera Management Services.
      Parameters:
        `view` - (optional, default to summary)
      Returns:
        ApiService
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readServiceWithHttpInfo

          public ApiResponse<ApiService> readServiceWithHttpInfo(String view)
                                                          throws ApiException

      Retrieve information about the Cloudera Management Services. Retrieve information about the Cloudera Management Services.
      Parameters:
        `view` - (optional, default to summary)
      Returns:
        ApiResponse<ApiService>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readServiceAsync

          public com.squareup.okhttp.Call readServiceAsync(String view,
                                                           ApiCallback<ApiService> callback)
                                                    throws ApiException

      Retrieve information about the Cloudera Management Services. (asynchronously) Retrieve information about the Cloudera Management Services.
      Parameters:
        `view` - (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readServiceConfigCall

          public com.squareup.okhttp.Call readServiceConfigCall(String view,
                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                         throws ApiException

      Build call for readServiceConfig
      Parameters:
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readServiceConfig

          public ApiServiceConfig readServiceConfig(String view)
                                             throws ApiException

      Retrieve the configuration of the Cloudera Management Services. Retrieve the configuration of the Cloudera Management Services.
      Parameters:
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiServiceConfig
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readServiceConfigWithHttpInfo

          public ApiResponse<ApiServiceConfig> readServiceConfigWithHttpInfo(String view)
                                                                      throws ApiException

      Retrieve the configuration of the Cloudera Management Services. Retrieve the configuration of the Cloudera Management Services.
      Parameters:
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiServiceConfig>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readServiceConfigAsync

          public com.squareup.okhttp.Call readServiceConfigAsync(String view,
                                                                 ApiCallback<ApiServiceConfig> callback)
                                                          throws ApiException

      Retrieve the configuration of the Cloudera Management Services. (asynchronously) Retrieve the configuration of the Cloudera Management Services.
      Parameters:
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### restartCommandCall

          public com.squareup.okhttp.Call restartCommandCall(ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for restartCommand
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### restartCommand

          public ApiCommand restartCommand()
                                    throws ApiException

      Restart the Cloudera Management Services. Restart the Cloudera Management Services.
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### restartCommandWithHttpInfo

          public ApiResponse<ApiCommand> restartCommandWithHttpInfo()
                                                             throws ApiException

      Restart the Cloudera Management Services. Restart the Cloudera Management Services.
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### restartCommandAsync

          public com.squareup.okhttp.Call restartCommandAsync(ApiCallback<ApiCommand> callback)
                                                       throws ApiException

      Restart the Cloudera Management Services. (asynchronously) Restart the Cloudera Management Services.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### setupCMSCall

          public com.squareup.okhttp.Call setupCMSCall(ApiService body,
                                                       ProgressResponseBody.ProgressListener progressListener,
                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                throws ApiException

      Build call for setupCMS
      Parameters:
        `body` - Role configuration overrides. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### setupCMS

          public ApiService setupCMS(ApiService body)
                              throws ApiException

      Setup the Cloudera Management Services. Setup the Cloudera Management Services. <p> Configure the CMS instance and create all the management roles. The provided configuration data can be used to set up host mappings for each role, and required configuration such as database connection information for specific roles. <p> Regardless of the list of roles provided in the input data, all management roles are created by this call. The input is used to override any default settings for the specific roles. <p> This method needs a valid CM license to be installed beforehand. <p> This method does not start any services or roles. <p> This method will fail if a CMS instance already exists. <p> Available role types: <ul> <li>SERVICEMONITOR</li> <li>ACTIVITYMONITOR</li> <li>HOSTMONITOR</li> <li>REPORTSMANAGER</li> <li>EVENTSERVER</li> <li>ALERTPUBLISHER</li> <li>NAVIGATOR</li> <li>NAVIGATORMETASERVER</li> </ul> <p/> REPORTSMANAGER, NAVIGATOR and NAVIGATORMETASERVER are only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `body` - Role configuration overrides. (optional)
      Returns:
        ApiService
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### setupCMSWithHttpInfo

          public ApiResponse<ApiService> setupCMSWithHttpInfo(ApiService body)
                                                       throws ApiException

      Setup the Cloudera Management Services. Setup the Cloudera Management Services. <p> Configure the CMS instance and create all the management roles. The provided configuration data can be used to set up host mappings for each role, and required configuration such as database connection information for specific roles. <p> Regardless of the list of roles provided in the input data, all management roles are created by this call. The input is used to override any default settings for the specific roles. <p> This method needs a valid CM license to be installed beforehand. <p> This method does not start any services or roles. <p> This method will fail if a CMS instance already exists. <p> Available role types: <ul> <li>SERVICEMONITOR</li> <li>ACTIVITYMONITOR</li> <li>HOSTMONITOR</li> <li>REPORTSMANAGER</li> <li>EVENTSERVER</li> <li>ALERTPUBLISHER</li> <li>NAVIGATOR</li> <li>NAVIGATORMETASERVER</li> </ul> <p/> REPORTSMANAGER, NAVIGATOR and NAVIGATORMETASERVER are only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `body` - Role configuration overrides. (optional)
      Returns:
        ApiResponse<ApiService>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### setupCMSAsync

          public com.squareup.okhttp.Call setupCMSAsync(ApiService body,
                                                        ApiCallback<ApiService> callback)
                                                 throws ApiException

      Setup the Cloudera Management Services. (asynchronously) Setup the Cloudera Management Services. <p> Configure the CMS instance and create all the management roles. The provided configuration data can be used to set up host mappings for each role, and required configuration such as database connection information for specific roles. <p> Regardless of the list of roles provided in the input data, all management roles are created by this call. The input is used to override any default settings for the specific roles. <p> This method needs a valid CM license to be installed beforehand. <p> This method does not start any services or roles. <p> This method will fail if a CMS instance already exists. <p> Available role types: <ul> <li>SERVICEMONITOR</li> <li>ACTIVITYMONITOR</li> <li>HOSTMONITOR</li> <li>REPORTSMANAGER</li> <li>EVENTSERVER</li> <li>ALERTPUBLISHER</li> <li>NAVIGATOR</li> <li>NAVIGATORMETASERVER</li> </ul> <p/> REPORTSMANAGER, NAVIGATOR and NAVIGATORMETASERVER are only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `body` - Role configuration overrides. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### startCommandCall

          public com.squareup.okhttp.Call startCommandCall(ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for startCommand
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### startCommand

          public ApiCommand startCommand()
                                  throws ApiException

      Start the Cloudera Management Services. Start the Cloudera Management Services.
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### startCommandWithHttpInfo

          public ApiResponse<ApiCommand> startCommandWithHttpInfo()
                                                           throws ApiException

      Start the Cloudera Management Services. Start the Cloudera Management Services.
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### startCommandAsync

          public com.squareup.okhttp.Call startCommandAsync(ApiCallback<ApiCommand> callback)
                                                     throws ApiException

      Start the Cloudera Management Services. (asynchronously) Start the Cloudera Management Services.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### stopCommandCall

          public com.squareup.okhttp.Call stopCommandCall(ProgressResponseBody.ProgressListener progressListener,
                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                   throws ApiException

      Build call for stopCommand
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### stopCommand

          public ApiCommand stopCommand()
                                 throws ApiException

      Stop the Cloudera Management Services. Stop the Cloudera Management Services.
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### stopCommandWithHttpInfo

          public ApiResponse<ApiCommand> stopCommandWithHttpInfo()
                                                          throws ApiException

      Stop the Cloudera Management Services. Stop the Cloudera Management Services.
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### stopCommandAsync

          public com.squareup.okhttp.Call stopCommandAsync(ApiCallback<ApiCommand> callback)
                                                    throws ApiException

      Stop the Cloudera Management Services. (asynchronously) Stop the Cloudera Management Services.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateServiceConfigCall

          public com.squareup.okhttp.Call updateServiceConfigCall(String message,
                                                                  ApiServiceConfig body,
                                                                  ProgressResponseBody.ProgressListener progressListener,
                                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                           throws ApiException

      Build call for updateServiceConfig
      Parameters:
        `message` - Optional message describing the changes. (optional)
        `body` - Configuration changes. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateServiceConfig

          public ApiServiceConfig updateServiceConfig(String message,
                                                      ApiServiceConfig body)
                                               throws ApiException

      Update the Cloudera Management Services configuration. Update the Cloudera Management Services configuration. <p> If a value is set in the given configuration, it will be added to the service's configuration, replacing any existing entries. If a value is unset (its value is null), the existing configuration for the attribute will be erased, if any. <p> Attributes that are not listed in the input will maintain their current values in the configuration.
      Parameters:
        `message` - Optional message describing the changes. (optional)
        `body` - Configuration changes. (optional)
      Returns:
        ApiServiceConfig
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateServiceConfigWithHttpInfo

          public ApiResponse<ApiServiceConfig> updateServiceConfigWithHttpInfo(String message,
                                                                               ApiServiceConfig body)
                                                                        throws ApiException

      Update the Cloudera Management Services configuration. Update the Cloudera Management Services configuration. <p> If a value is set in the given configuration, it will be added to the service's configuration, replacing any existing entries. If a value is unset (its value is null), the existing configuration for the attribute will be erased, if any. <p> Attributes that are not listed in the input will maintain their current values in the configuration.
      Parameters:
        `message` - Optional message describing the changes. (optional)
        `body` - Configuration changes. (optional)
      Returns:
        ApiResponse<ApiServiceConfig>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateServiceConfigAsync

          public com.squareup.okhttp.Call updateServiceConfigAsync(String message,
                                                                   ApiServiceConfig body,
                                                                   ApiCallback<ApiServiceConfig> callback)
                                                            throws ApiException

      Update the Cloudera Management Services configuration. (asynchronously) Update the Cloudera Management Services configuration. <p> If a value is set in the given configuration, it will be added to the service's configuration, replacing any existing entries. If a value is unset (its value is null), the existing configuration for the attribute will be erased, if any. <p> Attributes that are not listed in the input will maintain their current values in the configuration.
      Parameters:
        `message` - Optional message describing the changes. (optional)
        `body` - Configuration changes. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.